CMCICLIENTFT.ENUMCLASSNAMES(3)

NAME
CMCICLientFT.enumClassNames() - Enumerate class names

SYNOPSIS
#include <cmci.h>

CMPIEnumeration*
CMCIClientFT.enumClassNames(CMCIClient*cl,
CMPIObjectPath*op,
CMPIFlagsflags,
CMPIStatus*rc);

DESCRIPTION
Get Class using op as reference. The content of the returned class structure can be controled using the flags parameter.

Arguments are the client object pointer cl, ObjectPath object pointer op that contains namespace and classname components, flags to affect the returned class structure content, and rc the CMPI return status (suppressed when NULL).

The flags argument is a bit mask that can contain the flag CMPI_FLAG_DeepInheritance.

RETURN VALUE
When successful the CMCIClientFT.enumClassNames() function returns a pointer to a CMPIEnumeration object that contains each class name found and sets a successful status code in rc. When unsuccessful it returns NULL and sets the rc argument with the error code and and corresponding error string.

ERRORS

EXAMPLES
   CMCIClient *cc;
   CMPIObjectPath * objectpath;
   CMPIEnumeration * enumeration;
   CMPIStatus status;

   /* Setup a conncetion to the CIMOM */
   cc = cmciConnect("localhost", NULL, NULL, NULL, NULL, NULL);

   objectpath = newCMPIObjectPath("root/cimv2", NULL, NULL);
   enumeration = cc->ft->enumClassNames(cc, objectpath, 0, &status);

   if (!status.rc) {
	fprintf(stderr, "op error code %d description %s,
			 status.rc, status.msg->hdl);
	abort();
   }

CONFORMING TO

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup,
CMCIClient(3), CMPIEnumeration(3), CMPIObjectPath(3), CMPIFlags(3), CMPIStatus(3)